Loading...
Searching...
No Matches
juce::WorkgroupToken Class Reference

## Detailed Description

Created by AudioWorkgroup to join the calling thread to a workgroup.

To leave the workgroup again, destroy the WorkgroupToken.

See also
  AudioWorkgroup

The documentation for this class was generated from the following file:

- juce_audio_basics/utilities/juce_AudioWorkgroup.h

## Public Types

using | Erased = FixedSizeFunction<64, const TokenProvider*()>

## Public Member Functions

| WorkgroupToken (Erased e)
| WorkgroupToken ()=default
| ~WorkgroupToken ()=default
| If the token joined the calling thread to a workgroup during construction, the destructor will cause the calling thread to leave that workgroup.
| WorkgroupToken (const WorkgroupToken &)=delete
| WorkgroupToken (WorkgroupToken &&) noexcept=default
WorkgroupToken & | operator= (const WorkgroupToken &)=delete
WorkgroupToken & | operator= (WorkgroupToken &&)=default
| operator bool () const
| Returns true if and only if getTokenProvider() returns non-null.
const TokenProvider * | getTokenProvider () const
| The result of this function can be compared to nullptr to check whether the token successfully joined the calling thread to a workgroup.
void | reset ()
| If this token was engaged by joining a workgroup, leaves that workgroup and disengages the token.

## Member Typedef Documentation

## Erased

using juce::WorkgroupToken::Erased = FixedSizeFunction<64, const TokenProvider*()>

## Constructors and Destructors

## WorkgroupToken() [1/4]

juce::WorkgroupToken::WorkgroupToken | ( | Erased | e | ) |

inline explicit

Referenced by operator=(), operator=(), WorkgroupToken(), and WorkgroupToken().

## WorkgroupToken() [2/4]

juce::WorkgroupToken::WorkgroupToken | ( |  | ) |

default

## ~WorkgroupToken()

juce::WorkgroupToken::~WorkgroupToken | ( |  | ) |

default

If the token joined the calling thread to a workgroup during construction, the destructor will cause the calling thread to leave that workgroup.

## WorkgroupToken() [3/4]

juce::WorkgroupToken::WorkgroupToken | ( | const WorkgroupToken & |  | ) |

delete

References WorkgroupToken().

## WorkgroupToken() [4/4]

juce::WorkgroupToken::WorkgroupToken | ( | WorkgroupToken && |  | ) |

default noexcept

References WorkgroupToken().

## Member Functions

## operator=() [1/2]

WorkgroupToken & juce::WorkgroupToken::operator= | ( | const WorkgroupToken & |  | ) |

delete

References WorkgroupToken().

## operator=() [2/2]

WorkgroupToken & juce::WorkgroupToken::operator= | ( | WorkgroupToken && |  | ) |

default

References WorkgroupToken().

## operator bool()

juce::WorkgroupToken::operator bool | ( |  | ) | const

inline explicit

Returns true if and only if getTokenProvider() returns non-null.

References getTokenProvider().

## getTokenProvider()

const TokenProvider * juce::WorkgroupToken::getTokenProvider | ( |  | ) | const

inline nodiscard

The result of this function can be compared to nullptr to check whether the token successfully joined the calling thread to a workgroup.

Used in the implementation to provide platform-specific information about this token.

Referenced by operator bool().

## reset()

void juce::WorkgroupToken::reset | ( |  | ) |

inline

If this token was engaged by joining a workgroup, leaves that workgroup and disengages the token.

After this call, getTokenProvider() will return nullptr.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited